package com.fastbee.iot.model;

import com.fastbee.common.core.domain.BaseEntity;

/**
 * 创建固件升级任务对象对象 iot_firmware_task
 *
 * @author kami
 */
public class FirmwareTaskDetailOutput extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 关联固件ID */
    private Long firmwareId;

    /**
     * 任务id
     */
    private Long taskId;

    /** 任务名称 */
    private String taskName;

    /** 设备名称 */
    private String deviceName;

    /** 设备序列号 */
    private String serialNumber;

    /** 消息ID */
    private String messageId;

    /** 当前固件版本 */
    private String version;

    /** 0:等待升级 1:已发送设备 2:设备收到  3:升级成功 4:升级失败 */
    private Integer upgradeStatus;

    /** 描述 */
    private String detailMsg;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFirmwareId() {
        return firmwareId;
    }

    public void setFirmwareId(Long firmwareId) {
        this.firmwareId = firmwareId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getUpgradeStatus() {
        return upgradeStatus;
    }

    public void setUpgradeStatus(Integer upgradeStatus) {
        this.upgradeStatus = upgradeStatus;
    }

    public String getDetailMsg() {
        return detailMsg;
    }

    public void setDetailMsg(String detailMsg) {
        this.detailMsg = detailMsg;
    }
}
